| AOMedia AV1 Codec

Data Fields
RestorationUnitInfo Struct Reference

Parameters related to Restoration Unit Info. More...

`#include <restoration.h>`

## Data Fields
RestorationType | restoration_type
WienerInfo | wiener_info
SgrprojInfo | sgrproj_info

## Detailed Description

Parameters related to Restoration Unit Info.

## Field Documentation

## ◆ restoration_type

RestorationType RestorationUnitInfo::restoration_type

restoration type

## ◆ wiener_info

WienerInfo RestorationUnitInfo::wiener_info

Wiener filter parameters if restoration_type indicates Wiener

## ◆ sgrproj_info

SgrprojInfo RestorationUnitInfo::sgrproj_info

Sgrproj filter parameters if restoration_type indicates Sgrproj

The documentation for this struct was generated from the following file:

- av1/common/restoration.h